extends Skeleton3D

func _ready():
	var position_node = get_parent().get_parent().get_parent().get_node("Position3D");
	var global_pose = world_transform_to_global_pose(position_node.global_transform);
	var local_pose = global_pose_to_local_pose(1, global_pose);
	set_bone_local_pose_override(1, local_pose, 1.0, true);
	# Global pose:
	#set_bone_global_pose_override(1, global_pose, 1.0, true);
	
	var position_node2 = get_parent().get_parent().get_parent().get_node("Position3D2");
	var global_pose2 = world_transform_to_global_pose(position_node2.global_transform);
	var local_pose2 = global_pose_to_local_pose(2, global_pose2);
	# Uncomment and multiply "local_pose2" by this to fix the issue and get the expected result.
	#var test = get_bone_global_pose(1).affine_inverse();
	set_bone_local_pose_override(2, local_pose2, 1.0, true);
	# Global pose:
	#set_bone_global_pose_override(2, global_pose2, 1.0, true);
